package com.izouma.awesomeadmin.model;

import java.math.BigDecimal;
import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MarketMap{
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String remark;
    private Integer mapType;
    private String mapName;
    private String mapSprite;
    private String anchorImageGroupName;
    private Integer defaultMode;
    private String vuforiaDataName;
    private String mapInfo;
    private Integer mapWidth;
    private Integer mapHeight;
    private BigDecimal mapRate;
    private Integer showInPanel;
    private String latitude;
    private String longitude;
    private BigDecimal radiantRange;
    private String city;

private String idStr;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public Date getUpdateTime(){
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime){
        this.updateTime = updateTime;
    }
    public String getUpdateUser(){
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser){
        this.updateUser = updateUser;
    }
    public Date getCreateTime(){
        return this.createTime;
    }

    public void setCreateTime(Date createTime){
        this.createTime = createTime;
    }
    public String getCreateUser(){
        return this.createUser;
    }

    public void setCreateUser(String createUser){
        this.createUser = createUser;
    }
    public String getRemark(){
        return this.remark;
    }

    public void setRemark(String remark){
        this.remark = remark;
    }
    public Integer getMapType(){
        return this.mapType;
    }

    public void setMapType(Integer mapType){
        this.mapType = mapType;
    }
    public String getMapName(){
        return this.mapName;
    }

    public void setMapName(String mapName){
        this.mapName = mapName;
    }
    public String getMapSprite(){
        return this.mapSprite;
    }

    public void setMapSprite(String mapSprite){
        this.mapSprite = mapSprite;
    }
    public String getAnchorImageGroupName(){
        return this.anchorImageGroupName;
    }

    public void setAnchorImageGroupName(String anchorImageGroupName){
        this.anchorImageGroupName = anchorImageGroupName;
    }
    public Integer getDefaultMode(){
        return this.defaultMode;
    }

    public void setDefaultMode(Integer defaultMode){
        this.defaultMode = defaultMode;
    }
    public String getVuforiaDataName(){
        return this.vuforiaDataName;
    }

    public void setVuforiaDataName(String vuforiaDataName){
        this.vuforiaDataName = vuforiaDataName;
    }
    public String getMapInfo(){
        return this.mapInfo;
    }

    public void setMapInfo(String mapInfo){
        this.mapInfo = mapInfo;
    }
    public Integer getMapWidth(){
        return this.mapWidth;
    }

    public void setMapWidth(Integer mapWidth){
        this.mapWidth = mapWidth;
    }
    public Integer getMapHeight(){
        return this.mapHeight;
    }

    public void setMapHeight(Integer mapHeight){
        this.mapHeight = mapHeight;
    }
    public BigDecimal getMapRate(){
        return this.mapRate;
    }

    public void setMapRate(BigDecimal mapRate){
        this.mapRate = mapRate;
    }
    public Integer getShowInPanel(){
        return this.showInPanel;
    }

    public void setShowInPanel(Integer showInPanel){
        this.showInPanel = showInPanel;
    }
    public String getLatitude(){
        return this.latitude;
    }

    public void setLatitude(String latitude){
        this.latitude = latitude;
    }
    public String getLongitude(){
        return this.longitude;
    }

    public void setLongitude(String longitude){
        this.longitude = longitude;
    }
    public BigDecimal getRadiantRange(){
        return this.radiantRange;
    }

    public void setRadiantRange(BigDecimal radiantRange){
        this.radiantRange = radiantRange;
    }
    public String getCity(){
        return this.city;
    }

    public void setCity(String city){
        this.city = city;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

public String getIdStr() {
    return idStr;
}

public void setIdStr(String idStr) {
    this.idStr = idStr;
}

}

